Public Class AddPartWndV

   Private WithEvents m_AddPartWndVM As AddPartWndVM

   Sub New(Owner As Window, AddPartWndVM As AddPartWndVM)
      MyBase.New(Owner)
      ' This call is required by the designer.
      InitializeComponent()
      Me.DataContext = AddPartWndVM
      ' Assegno al riferimento locale al VM il VM preso dal DataContext
      m_AddPartWndVM = AddPartWndVM
   End Sub

   Private Sub CloseWindow(bDialogResult As Boolean) Handles m_AddPartWndVM.m_CloseWindow
      Me.DialogResult = bDialogResult
   End Sub

End Class
